## com.gargoylesoftware.htmlunit
Class AjaxController

    java.lang.Object
      com.gargoylesoftware.htmlunit.AjaxController

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NicelyResynchronizingAjaxController

    public class AjaxController

extends java.lang.Object
implements java.io.Serializable

This class is notified when AJAX calls are made, and has the ability to influence these calls. For instance, it can turn asynchronous AJAX calls into synchronous AJAX calls, making test code deterministic and avoiding calls to `Thread.sleep()`.

Version:
  $Revision: 4002 $
Author:
  Marc Guillemot
See Also:
  Serialized Form

Constructor Summary
`AjaxController()`

Method Summary
`boolean` `processSynchron(HtmlPage page, WebRequestSettings settings, boolean async)` Gets notified of an AJAX call to determine how it should be processed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxController

    public AjaxController()

Method Detail

### processSynchron

    public boolean processSynchron(HtmlPage page,
                                   WebRequestSettings settings,
                                   boolean async)

  Gets notified of an AJAX call to determine how it should be processed.

  Parameters:
    `page` - the page the request comes from
    `settings` - the request that should be performed
    `async` - indicates if the request should originally be asynchron
  Returns:
    if the call should be synchron or not; here just like the original call

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.